<?php

namespace App\Classes\Modules\Companies\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\SegmentConstants\DataTransferObjects\SegmentConstantObject;
use App\Classes\Modules\Segments\DataTransferObjects\ConstantObject;

class CanAssignSegment extends AbstractRule
{

    /**
     * @return bool
     */
    protected function authorized(): bool
    {
        // TODO  Set Authorization rules
        return true;
    }

    /**
     * @param ConstantObject $object
     * @return bool
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param ConstantObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}